Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452128 - Feature: message throttling
Summary: Feature: message throttling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
urgent
medium
Target Milestone: 1.1.1
: ---
Assignee: Andrew Stitcher
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 15:13 UTC by Sergei Vorobiev
Modified: 2009-04-21 16:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-21 16:16:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:0434 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging and Grid Version 1.1.1 2009-04-21 16:15:50 UTC

Description Sergei Vorobiev 2008-06-19 15:13:13 UTC
message broker should allow for throttling maximum incoming message rate for
accepted messages per AMQP session level

Comment 1 Carl Trieloff 2008-12-22 20:56:15 UTC
to also control an AMQP client connection to the maximum rate for messages sent over specific AMQP session to a broker (i.e. limit all the taffic from one client, no matter how many sessions).

Comment 2 Andrew Stitcher 2009-02-03 21:29:48 UTC
Client session throttling has now been implemented in qpid C++ broker and client:

It is configured by setting a configuration parameter in qpidd.

The new command line argument is "--max-session-rate"

This imposes a limit on the number of messages transferred per second from the client to the broker on every session.

Comment 3 Andrew Stitcher 2009-02-03 21:32:08 UTC
This functionality can be tested by (for example) running the broker with a specified session rate:

qpidd --auth no --max-session-rate 200

Then by running perftest against this broker and seeing that the send rate from client to broker is just less than this rate.

Comment 5 Frantisek Reznicek 2009-02-27 14:12:58 UTC
The feature has been implemented, tested using qpidd and perftest with and without --max-session-rate qpidd option.
Done on RHEL 4.7 / 5.3 i386 / x86_64 on packages:
qpidd-0.4.744917-1.el4/5

->VERIFIED

Comment 7 errata-xmlrpc 2009-04-21 16:16:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html


Note You need to log in before you can comment on or make changes to this bug.